Page MenuHomePhabricator

ORESModels has a fatal error
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/Special:ORESModels

2019-04-23 20:17:07 [XL9ywwpAICgAAKTOw6YAAABB] mw1319 enwiki 1.34.0-wmf.1 exception ERROR: [XL9ywwpAICgAAKTOw6YAAABB] /wiki/Special:ORESModels   RuntimeException from line 109 of /srv/mediawiki/php-1.34.0-wmf.1/includes/TemplateParser.php: Could not locate template: /srv/mediawiki/php-1.34.0-wmf.1/extensions/ORES/includes/Specials/templates/SpecialORESModels.mustache {"exception_id":"XL9ywwpAICgAAKTOw6YAAABB","exception_url":"/wiki/Special:ORESModels","caught_by":"mwe_handler"} 
[Exception RuntimeException] (/srv/mediawiki/php-1.34.0-wmf.1/includes/TemplateParser.php:109) Could not locate template: /srv/mediawiki/php-1.34.0-wmf.1/extensions/ORES/includes/Specials/templates/SpecialORESModels.mustache
  #0 /srv/mediawiki/php-1.34.0-wmf.1/includes/TemplateParser.php(222): TemplateParser->getTemplate(string)
  #1 /srv/mediawiki/php-1.34.0-wmf.1/extensions/ORES/includes/Specials/SpecialORESModels.php(58): TemplateParser->processTemplate(string, array)
  #2 /srv/mediawiki/php-1.34.0-wmf.1/includes/specialpage/SpecialPage.php(569): ORES\Specials\SpecialORESModels->execute(NULL)
  #3 /srv/mediawiki/php-1.34.0-wmf.1/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(NULL)
  #4 /srv/mediawiki/php-1.34.0-wmf.1/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
  #5 /srv/mediawiki/php-1.34.0-wmf.1/includes/MediaWiki.php(865): MediaWiki->performRequest()
  #6 /srv/mediawiki/php-1.34.0-wmf.1/includes/MediaWiki.php(515): MediaWiki->main()
  #7 /srv/mediawiki/php-1.34.0-wmf.1/index.php(42): MediaWiki->run()
  #8 /srv/mediawiki/w/index.php(3): include(string)
  #9 {main}

Event Timeline

Halfak created this task.Apr 23 2019, 8:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2019, 8:19 PM
Halfak triaged this task as High priority.Apr 23 2019, 8:19 PM
Halfak moved this task from Untriaged to Maintenance/cleanup on the Scoring-platform-team board.
Halfak added a subscriber: Catrope.Apr 23 2019, 8:38 PM

@Catrope, I figured you might know what's up.

Reedy updated the task description. (Show Details)Apr 23 2019, 9:39 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 23 2019, 9:39 PM

Change 506007 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ORES@master] Fix path to template dir

https://gerrit.wikimedia.org/r/506007

Change 506009 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ORES@wmf/1.34.0-wmf.1] Fix path to template dir

https://gerrit.wikimedia.org/r/506009

Change 506007 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Fix path to template dir

https://gerrit.wikimedia.org/r/506007

Change 506009 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.34.0-wmf.1] Fix path to template dir

https://gerrit.wikimedia.org/r/506009

Mentioned in SAL (#wikimedia-operations) [2019-04-23T21:53:59Z] <reedy@deploy1001> Synchronized php-1.34.0-wmf.1/extensions/ORES/includes/Specials/SpecialORESModels.php: T221696 (duration: 00m 55s)

Reedy closed this task as Resolved.Apr 23 2019, 9:54 PM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM